Bug 216797 - [exp-run] update Qt to 5.7.1, move Qt4 binaries and rename ports
Summary: [exp-run] update Qt to 5.7.1, move Qt4 binaries and rename ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D9213
Keywords:
Depends on: 217051
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-04 21:42 UTC by Tobias C. Berner
Modified: 2017-02-18 19:59 UTC (History)
2 users (show)

See Also:


Attachments
Update Qt5 to 5.7.1 (v2) (975.21 KB, patch)
2017-02-04 21:50 UTC, Tobias C. Berner
no flags Details | Diff
Update Qt5 to 5.7.1 (v3) (975.42 KB, patch)
2017-02-07 20:06 UTC, Tobias C. Berner
no flags Details | Diff
Update Qt5 to 5.7.1 (v4) (975.66 KB, patch)
2017-02-08 12:51 UTC, Tobias C. Berner
no flags Details | Diff
Update Qt5 to 5.7.1 (v5) (975.97 KB, patch)
2017-02-08 13:30 UTC, Tobias C. Berner
no flags Details | Diff
Update Qt5 to 5.7.1 (v6) (976.00 KB, patch)
2017-02-08 15:44 UTC, Tobias C. Berner
no flags Details | Diff
Update Qt5 to 5.7.1 (v7) (984.72 KB, patch)
2017-02-11 00:59 UTC, Tobias C. Berner
no flags Details | Diff
Update Qt5 to 5.7.1 (v8) (981.06 KB, patch)
2017-02-13 07:25 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2017-02-04 21:42:39 UTC
Hi there

kde@ would like to ask for an exp-run of the update of Qt5 to 5.7.1.


The patch is attached, and can also be found here:
http://people.freebsd.org/~tcberner/patches/qt57.diff.v1


thanks
Comment 1 Tobias C. Berner freebsd_committer 2017-02-04 21:50:39 UTC
Created attachment 179616 [details]
Update Qt5 to 5.7.1 (v2)

Failed to attach (v1), as it was too large. 
Patch regenerated without context:
http://people.freebsd.org/~tcberner/patches/qt57.diff.v2
Comment 2 Antoine Brodin freebsd_committer 2017-02-07 19:18:03 UTC
[00:01:43] ====>> Warning: Nonexistent port listed in category Makefiles: devel/qmake4
[00:01:43] ====>> Warning: Nonexistent port listed in category Makefiles: devel/qmake5
[00:01:43] ====>> Warning: Nonexistent port listed in category Makefiles: devel/qt5-make
Comment 3 Tobias C. Berner freebsd_committer 2017-02-07 20:06:33 UTC
Created attachment 179719 [details]
Update Qt5 to 5.7.1 (v3)

New patch with corrected devel/Makefile :
http://people.freebsd.org/~tcberner/patches/qt57.diff.v3
Comment 4 Antoine Brodin freebsd_committer 2017-02-08 06:22:54 UTC
Exp-run started at https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216797

Several ports fail due to:

pkg-static: qtchooser-39 conflicts with qt4-dbus-4.8.7_1 (installs files into the same place).  Problematic file: /usr/local/bin/qdbus

Others fail due to:

pkg-static: qtchooser-39 conflicts with qt4-moc-4.8.7_2 (installs files into the same place).  Problematic file: /usr/local/bin/moc

And others due to:

pkg-static: qtchooser-39 conflicts with qt4-assistant-4.8.7_1 (installs files into the same place).  Problematic file: /usr/local/bin/assistant
Comment 6 Tobias C. Berner freebsd_committer 2017-02-08 12:51:45 UTC
Created attachment 179752 [details]
Update Qt5 to 5.7.1 (v4)

Sorry, when regenarating without whitespace changes I dropped the part for the Qt4-DIR variables.

New patch:
http://people.freebsd.org/~tcberner/patches/qt57.diff.v4
Comment 7 Tobias C. Berner freebsd_committer 2017-02-08 13:30:23 UTC
Created attachment 179759 [details]
Update Qt5 to 5.7.1 (v5)

Sorry, another dropped hunk:
http://people.freebsd.org/~tcberner/patches/qt57.diff.v5
Comment 8 Tobias C. Berner freebsd_committer 2017-02-08 15:44:46 UTC
Created attachment 179766 [details]
Update Qt5 to 5.7.1 (v6)

The RUN_DEPENDS on qtchooser was at a wrong place in bsd.qt.mk. And not defined for the qt4-ports. New patch:
http://people.freebsd.org/~tcberner/patches/qt57.diff.v6

I tested [most of] the failed ports from the previous run, and they work again.
Comment 9 Antoine Brodin freebsd_committer 2017-02-09 06:41:55 UTC
Exp-run results on 11.0 amd64 available at

http://package18.nyi.freebsd.org/build.html?mastername=110amd64-default-PR216797&build=2017-02-08_16h14m00s

You may ignore the check-plist error from graphics/iccexamin,  but all the others look legitimate errors.
Comment 10 Tobias C. Berner freebsd_committer 2017-02-11 00:59:30 UTC
Created attachment 179859 [details]
Update Qt5 to 5.7.1 (v7)

New patch with fixes for the failing ports:
http://people.freebsd.org/~tcberner/patches/qt57.diff.v7
Comment 12 Tobias C. Berner freebsd_committer 2017-02-13 07:25:02 UTC
Created attachment 179928 [details]
Update Qt5 to 5.7.1 (v8)

Updated patch without vlc (handled in 217051).
http://people.freebsd.org/~tcberner/patches/qt57.diff.v8
Comment 14 Tobias C. Berner freebsd_committer 2017-02-13 18:29:27 UTC
(In reply to Antoine Brodin from comment #13)
Already fixed in the review. 's|%%QT_CMAKEDIR%%|lib/cmake|g' .
Comment 15 Antoine Brodin freebsd_committer 2017-02-17 13:59:00 UTC
Exp-run looks fine  (QT5 to 5.7.1 + KF to 5.31 + VLC)
Comment 16 commit-hook freebsd_committer 2017-02-18 19:48:17 UTC
A commit references this bug:

Author: tcberner
Date: Sat Feb 18 19:48:10 UTC 2017
New revision: 434380
URL: https://svnweb.freebsd.org/changeset/ports/434380

Log:
  Update Qt5 to 5.7.1, and unify the Qt4 and Qt5 ports some more

  * Update Qt5 to 5.7.1
  * Move Qt4 binaries to lib/qt4/bin
  * Move Qt5 libraries to lib/qt5/lib
    By moving the libraries we should finally be able to get rid of the inplace
    upgrade bug (see ports bugs 194088, 195105 and 198720):  when Qt5's libraries
    were lying in /usr/local/lib, which would often get added by pkgconfig to the
    linker paths via dependencies, the already installed libraries were linked
    against, instead of the ones that were being built. This forced us to make
    sure, that -L${WRKSRC}/lib was always coming before -L/usr/local/lib in the
    linker flags. With this change this should no longer be the case.
  * Rename some ports to match the rest (foo-qtX -> qtX-foo)
  * Depend on new port misc/qtchooser [see UPDATING & CHANGES]

  There are several new Qt5 ports which all have been created by Marie Loise Nolden
  <nolden@kde.org>. Thanks again.

  PR:		216797
  Exp-Run by:	antoine
  Reviewed by:	rakuco, mat, groot_kde.org
  Approved by:	rakuco (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9213

Changes:
  head/CHANGES
  head/MOVED
  head/Mk/bsd.qt.mk
  head/UPDATING
  head/accessibility/qt4-accessible/Makefile
  head/astro/xglobe/files/patch-Makefile
  head/audio/qmpdclient/Makefile
  head/cad/klayout/files/patch-build.sh
  head/cad/klayout/files/patch-src-Makefile.rules
  head/chinese/qt4-codecs-cn/Makefile
  head/chinese/qt4-codecs-tw/Makefile
  head/comms/hamfax/files/patch-Makefile.in
  head/comms/qt5-connectivity/pkg-plist
  head/comms/qt5-sensors/pkg-plist
  head/comms/qt5-serialbus/pkg-plist
  head/comms/qt5-serialport/pkg-plist
  head/comms/xcwcp/Makefile
  head/databases/qt4-ibase-plugin/Makefile
  head/databases/qt4-mysql-plugin/Makefile
  head/databases/qt4-odbc-plugin/Makefile
  head/databases/qt4-pgsql-plugin/Makefile
  head/databases/qt4-sql/Makefile
  head/databases/qt4-sqlite-plugin/Makefile
  head/databases/qt4-sqlite3-plugin/Makefile
  head/databases/qt5-sql/pkg-plist
  head/deskutils/fbreader/files/patch-makefiles_arch_desktop.mk
  head/devel/Makefile
  head/devel/dbus-qt4/
  head/devel/dbus-qt5/
  head/devel/qmake4/
  head/devel/qmake5/
  head/devel/qscintilla2-qt5/pkg-plist
  head/devel/qt4-assistant/Makefile
  head/devel/qt4-assistant/pkg-plist
  head/devel/qt4-corelib/Makefile
  head/devel/qt4-dbus/
  head/devel/qt4-dbus/Makefile
  head/devel/qt4-designer/Makefile
  head/devel/qt4-designer/pkg-plist
  head/devel/qt4-help/Makefile
  head/devel/qt4-help-tools/Makefile
  head/devel/qt4-linguist/Makefile
  head/devel/qt4-linguist/pkg-plist
  head/devel/qt4-linguisttools/Makefile
  head/devel/qt4-linguisttools/pkg-plist
  head/devel/qt4-makeqpf/Makefile
  head/devel/qt4-makeqpf/pkg-plist
  head/devel/qt4-moc/Makefile
  head/devel/qt4-moc/pkg-plist
  head/devel/qt4-porting/Makefile
  head/devel/qt4-qdbusviewer/Makefile
  head/devel/qt4-qdoc3/Makefile
  head/devel/qt4-qmake/
  head/devel/qt4-qmake/Makefile
  head/devel/qt4-qmake/pkg-plist
  head/devel/qt4-qmlviewer/Makefile
  head/devel/qt4-qt3support/Makefile
  head/devel/qt4-qvfb/Makefile
  head/devel/qt4-qvfb/pkg-plist
  head/devel/qt4-rcc/Makefile
  head/devel/qt4-script/Makefile
  head/devel/qt4-scripttools/Makefile
  head/devel/qt4-testlib/Makefile
  head/devel/qt4-uic/Makefile
  head/devel/qt4-uic/pkg-plist
  head/devel/qt4-uic3/Makefile
  head/devel/qt5/Makefile.sqldrivers
  head/devel/qt5/distinfo
  head/devel/qt5/files/extrapatch-configure
  head/devel/qt5/files/extrapatch-mkspecs_features_create__cmake.prf
  head/devel/qt5/files/extrapatch-mkspecs_features_qt__module.prf
  head/devel/qt5/files/extrapatch-src_corelib_global_qcompilerdetection.h
  head/devel/qt5-concurrent/pkg-plist
  head/devel/qt5-core/Makefile
  head/devel/qt5-core/files/
  head/devel/qt5-core/files/patch-git_ea9a8672
  head/devel/qt5-core/files/patch-src_corelib_corelib.pro
  head/devel/qt5-core/pkg-plist
  head/devel/qt5-dbus/
  head/devel/qt5-dbus/pkg-plist
  head/devel/qt5-designer/pkg-plist
  head/devel/qt5-help/Makefile
  head/devel/qt5-help/files/patch-src__assistant__assistant.pro
  head/devel/qt5-help/pkg-plist
  head/devel/qt5-linguisttools/files/patch-src_linguist_linguist.pro
  head/devel/qt5-linguisttools/pkg-plist
  head/devel/qt5-location/pkg-plist
  head/devel/qt5-qmake/
  head/devel/qt5-qmake/Makefile
  head/devel/qt5-qmake/files/patch-configure
  head/devel/qt5-qmake/files/patch-mkspecs__common__freebsd.conf
  head/devel/qt5-qmake/files/patch-mkspecs__features__qt_functions.prf
  head/devel/qt5-qmake/pkg-plist
  head/devel/qt5-script/pkg-plist
  head/devel/qt5-scripttools/pkg-plist
  head/devel/qt5-scxml/
  head/devel/qt5-scxml/Makefile
  head/devel/qt5-scxml/pkg-plist
  head/devel/qt5-testlib/pkg-plist
  head/devel/qt5-uitools/pkg-plist
  head/devel/subcommander2/files/patch-configure.ac
  head/devel/subcommander2/files/patch-subcommander__Makefile.am
  head/devel/subcommander2/files/patch-sublib__Makefile.am
  head/devel/subcommander2/files/patch-submerge__Makefile.am
  head/devel/universalindentgui/files/patch-UniversalIndentGUI.pro
  head/emulators/swine/Makefile
  head/emulators/virtualbox-ose/files/patch-c++11-qt5
  head/emulators/virtualbox-ose/files/patch-configure
  head/games/goldencheetah/files/patch-src_src.pro
  head/graphics/gle-graphics/Makefile
  head/graphics/lprof-devel/Makefile
  head/graphics/lprof-devel/files/patch-src-lprofqt-config.cpp
  head/graphics/lprof-devel/files/patch-src_lprofqt_config.cpp
  head/graphics/poppler/Makefile
  head/graphics/qt4-iconengines/Makefile
  head/graphics/qt4-imageformats/Makefile
  head/graphics/qt4-opengl/Makefile
  head/graphics/qt4-pixeltool/Makefile
  head/graphics/qt4-svg/Makefile
  head/graphics/qt5-3d/Makefile
  head/graphics/qt5-3d/pkg-plist
  head/graphics/qt5-graphicaleffects/pkg-plist
  head/graphics/qt5-imageformats/pkg-plist
  head/graphics/qt5-opengl/pkg-plist
  head/graphics/qt5-svg/pkg-plist
  head/japanese/qt4-codecs-jp/Makefile
  head/korean/qt4-codecs-kr/Makefile
  head/lang/qt5-qml/files/patch-src__src.pro
  head/lang/qt5-qml/pkg-plist
  head/misc/Makefile
  head/misc/qt4-doc/Makefile
  head/misc/qt4-l10n/Makefile
  head/misc/qt4-qtconfig/Makefile
  head/misc/qt4-qtconfig/pkg-plist
  head/misc/qt4-qtdemo/Makefile
  head/misc/qt5-doc/Makefile
  head/misc/qt5-doc/distinfo
  head/misc/qt5-doc/pkg-plist
  head/misc/qt5-examples/Makefile
  head/misc/qt5-examples/pkg-plist
  head/misc/qt5-l10n/pkg-plist
  head/misc/qtchooser/
  head/misc/qtchooser/Makefile
  head/misc/qtchooser/distinfo
  head/misc/qtchooser/pkg-descr
  head/misc/qtchooser/pkg-message
  head/misc/qtchooser/pkg-plist
  head/multimedia/avidemux/Makefile.common
  head/multimedia/mlt-qt5/Makefile
  head/multimedia/py-openlp/Makefile
  head/multimedia/qt4-mobility/Makefile
  head/multimedia/qt4-mobility/pkg-plist
  head/multimedia/qt4-multimedia/Makefile
  head/multimedia/qt5-multimedia/pkg-plist
  head/net/qt4-network/Makefile
  head/net/qt5-network/pkg-plist
  head/net/rsplib/files/
  head/net/rsplib/files/patch-configure
  head/net/wireshark/Makefile
  head/net/wireshark/files/extrapatch-configure-qt5
  head/net-im/telepathy-logger-qt4/Makefile
  head/print/qt5-printsupport/pkg-plist
  head/sysutils/qpxtool/files/patch-configure
  head/textproc/Makefile
  head/textproc/clucene-qt4/
  head/textproc/goldendict/files/patch-goldendict.pro
  head/textproc/qt4-clucene/
  head/textproc/qt4-clucene/Makefile
  head/textproc/qt4-xml/Makefile
  head/textproc/qt4-xmlpatterns/Makefile
  head/textproc/qt4-xmlpatterns-tool/Makefile
  head/textproc/qt5-xml/pkg-plist
  head/textproc/qt5-xmlpatterns/pkg-plist
  head/textproc/scim-bridge-qt4/files/patch-client-qt_qt4_Makefile.in
  head/www/Makefile
  head/www/qt4-webkit/
  head/www/qt4-webkit/Makefile
  head/www/qt5-webchannel/pkg-plist
  head/www/qt5-webkit/
  head/www/qt5-webkit/Makefile
  head/www/qt5-webkit/distinfo
  head/www/qt5-webkit/files/patch-Source_JavaScriptCore_disassembler_udis86_ud_opcode.py
  head/www/qt5-webkit/pkg-plist
  head/www/qt5-websockets/pkg-plist
  head/www/webkit-qt4/
  head/www/webkit-qt5/
  head/x11/qt4-graphicssystems-opengl/Makefile
  head/x11/qt4-inputmethods/Makefile
  head/x11/qt5-x11extras/pkg-plist
  head/x11-toolkits/Makefile
  head/x11-toolkits/qt4-declarative/Makefile
  head/x11-toolkits/qt4-gui/Makefile
  head/x11-toolkits/qt5-charts/Makefile
  head/x11-toolkits/qt5-charts/distinfo
  head/x11-toolkits/qt5-charts/files/
  head/x11-toolkits/qt5-charts/pkg-plist
  head/x11-toolkits/qt5-datavis3d/
  head/x11-toolkits/qt5-datavis3d/Makefile
  head/x11-toolkits/qt5-datavis3d/pkg-plist
  head/x11-toolkits/qt5-declarative/files/
  head/x11-toolkits/qt5-declarative/files/patch-git_26229cf
  head/x11-toolkits/qt5-declarative/pkg-plist
  head/x11-toolkits/qt5-declarative-render2d/
  head/x11-toolkits/qt5-declarative-render2d/Makefile
  head/x11-toolkits/qt5-declarative-render2d/pkg-plist
  head/x11-toolkits/qt5-gamepad/
  head/x11-toolkits/qt5-gamepad/Makefile
  head/x11-toolkits/qt5-gamepad/pkg-plist
  head/x11-toolkits/qt5-gui/Makefile
  head/x11-toolkits/qt5-gui/pkg-plist
  head/x11-toolkits/qt5-quick/pkg-plist
  head/x11-toolkits/qt5-quickcontrols/pkg-plist
  head/x11-toolkits/qt5-quickcontrols2/pkg-plist
  head/x11-toolkits/qt5-uiplugin/pkg-plist
  head/x11-toolkits/qt5-virtualkeyboard/
  head/x11-toolkits/qt5-virtualkeyboard/Makefile
  head/x11-toolkits/qt5-virtualkeyboard/pkg-plist
  head/x11-toolkits/qt5-widgets/Makefile
  head/x11-toolkits/qt5-widgets/pkg-plist
  head/x11-wm/qlwm/files/patch-Makefile
Comment 17 commit-hook freebsd_committer 2017-02-18 19:56:25 UTC
A commit references this bug:

Author: tcberner
Date: Sat Feb 18 19:56:18 UTC 2017
New revision: 434381
URL: https://svnweb.freebsd.org/changeset/ports/434381

Log:
  Update KDE Frameworks to 5.31

  * New port: x11-toolkits/kirigami2

  PR:		216797
  Exp-Run by:	antoine
  Reviewed by:	rakuco, mat
  Approved by:	rakuco (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9554

Changes:
  head/Mk/Uses/kde.mk
  head/archivers/kf5-karchive/distinfo
  head/devel/kf5-extra-cmake-modules/distinfo
  head/devel/kf5-extra-cmake-modules/pkg-plist
  head/devel/kf5-kapidox/distinfo
  head/devel/kf5-kauth/distinfo
  head/devel/kf5-kbookmarks/distinfo
  head/devel/kf5-kcmutils/distinfo
  head/devel/kf5-kconfig/distinfo
  head/devel/kf5-kcoreaddons/Makefile
  head/devel/kf5-kcoreaddons/distinfo
  head/devel/kf5-kcrash/distinfo
  head/devel/kf5-kdbusaddons/distinfo
  head/devel/kf5-kdeclarative/distinfo
  head/devel/kf5-kdoctools/distinfo
  head/devel/kf5-kdoctools/pkg-plist
  head/devel/kf5-kfilemetadata/distinfo
  head/devel/kf5-ki18n/distinfo
  head/devel/kf5-kidletime/distinfo
  head/devel/kf5-kio/distinfo
  head/devel/kf5-kio/pkg-plist
  head/devel/kf5-kitemmodels/distinfo
  head/devel/kf5-knewstuff/Makefile
  head/devel/kf5-knewstuff/distinfo
  head/devel/kf5-knotifications/distinfo
  head/devel/kf5-knotifyconfig/distinfo
  head/devel/kf5-kpackage/distinfo
  head/devel/kf5-kparts/distinfo
  head/devel/kf5-kpeople/distinfo
  head/devel/kf5-kpty/distinfo
  head/devel/kf5-kservice/distinfo
  head/devel/kf5-ktexteditor/distinfo
  head/devel/kf5-kunitconversion/distinfo
  head/devel/kf5-solid/distinfo
  head/devel/kf5-threadweaver/distinfo
  head/dns/kf5-kdnssd/distinfo
  head/graphics/kf5-kimageformats/distinfo
  head/graphics/kf5-kplotting/distinfo
  head/graphics/kf5-prison/distinfo
  head/lang/kf5-kross/distinfo
  head/multimedia/kf5-kmediaplayer/distinfo
  head/net/kf5-kxmlrpcclient/distinfo
  head/security/kf5-kdesu/distinfo
  head/sysutils/kf5-baloo/distinfo
  head/sysutils/kf5-kwallet/distinfo
  head/textproc/kf5-kcodecs/distinfo
  head/textproc/kf5-sonnet/distinfo
  head/textproc/kf5-syntax-highlighting/distinfo
  head/www/kf5-kdewebkit/distinfo
  head/www/kf5-khtml/distinfo
  head/www/kf5-kjs/distinfo
  head/www/kf5-kjsembed/distinfo
  head/x11/kf5-frameworkintegration/distinfo
  head/x11/kf5-frameworks/Makefile
  head/x11/kf5-kactivities/distinfo
  head/x11/kf5-kded/distinfo
  head/x11/kf5-kded/pkg-plist
  head/x11/kf5-kdelibs4support/distinfo
  head/x11/kf5-kdelibs4support/pkg-plist
  head/x11/kf5-kglobalaccel/distinfo
  head/x11/kf5-kinit/distinfo
  head/x11/kf5-krunner/distinfo
  head/x11/kf5-kwayland/distinfo
  head/x11/kf5-kwindowsystem/distinfo
  head/x11/kf5-plasma-framework/distinfo
  head/x11-themes/kf5-breeze-icons/distinfo
  head/x11-themes/kf5-breeze-icons/pkg-plist
  head/x11-themes/kf5-kemoticons/distinfo
  head/x11-themes/kf5-kiconthemes/distinfo
  head/x11-themes/kf5-oxygen-icons5/distinfo
  head/x11-toolkits/Makefile
  head/x11-toolkits/kf5-attica/distinfo
  head/x11-toolkits/kf5-kcompletion/distinfo
  head/x11-toolkits/kf5-kconfigwidgets/distinfo
  head/x11-toolkits/kf5-kdesignerplugin/distinfo
  head/x11-toolkits/kf5-kguiaddons/distinfo
  head/x11-toolkits/kf5-kitemviews/distinfo
  head/x11-toolkits/kf5-kjobwidgets/distinfo
  head/x11-toolkits/kf5-ktextwidgets/distinfo
  head/x11-toolkits/kf5-kwidgetsaddons/distinfo
  head/x11-toolkits/kf5-kwidgetsaddons/pkg-plist
  head/x11-toolkits/kf5-kxmlgui/distinfo
  head/x11-toolkits/kirigami/distinfo
  head/x11-toolkits/kirigami2/
  head/x11-toolkits/kirigami2/Makefile
  head/x11-toolkits/kirigami2/distinfo
  head/x11-toolkits/kirigami2/pkg-descr
  head/x11-toolkits/kirigami2/pkg-plist
Comment 18 Tobias C. Berner freebsd_committer 2017-02-18 19:59:33 UTC
Commited. Thanks for the exp-runs.